> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Bridge Credential

> RevokeBridgeCredential soft-revokes one credential by id. The row is
 retained for audit; token mints with this credential are rejected.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/iam/tunnel/credentials/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/tunnel/credentials/{id}:
    delete:
      tags:
        - Tunnel
      summary: Revoke Bridge Credential
      description: |-
        RevokeBridgeCredential soft-revokes one credential by id. The row is
         retained for audit; token mints with this credential are rejected.
      operationId: c1.api.iam.v1.TunnelCredentialsService.RevokeBridgeCredential
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id of the credential to revoke.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.TunnelCredentialsServiceRevokeBridgeCredentialRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.TunnelCredentialsServiceRevokeBridgeCredentialResponse
          description: Empty response body. Status code indicates success.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.tunnelCredentials.revokeBridgeCredential({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.iam.v1.TunnelCredentialsServiceRevokeBridgeCredentialRequestInput:
      description: The TunnelCredentialsServiceRevokeBridgeCredentialRequest message.
      title: Tunnel Credentials Service Revoke Bridge Credential Request
      type: object
      x-speakeasy-name-override: TunnelCredentialsServiceRevokeBridgeCredentialRequest
    c1.api.iam.v1.TunnelCredentialsServiceRevokeBridgeCredentialResponse:
      description: Empty response body. Status code indicates success.
      title: Tunnel Credentials Service Revoke Bridge Credential Response
      type: object
      x-speakeasy-name-override: TunnelCredentialsServiceRevokeBridgeCredentialResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````